Skip to main content
GET
/
v1
/
feedback
List feedback
curl --request GET \
  --url https://api.vistaly.com/v1/feedback \
  --header 'Authorization: Bearer <token>'
{
  "feedback": [
    {
      "id": "<string>",
      "processed": true,
      "source": "<string>",
      "cardIds": [
        "<string>"
      ],
      "customerUserIds": [
        "<string>"
      ],
      "insightCount": 123,
      "appUrl": "<string>",
      "capturedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "sourceUrl": "<string>",
      "textPreview": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

processed
boolean

Filter by processing status. Pass true to return only processed feedback, false to return only unprocessed feedback. Omit to return all feedback.

limit
integer
default:50

Maximum number of feedback entries to return (1-100). Defaults to 50.

Required range: 1 <= x <= 100

Response

Feedback retrieved successfully

feedback
object[]
required

The feedback entries, ordered newest-first.